# Examples to show how to use RAPIDS cuML in pai4sk

Subdirectories of this directory contains sample programs to show how
algorithms from cuML in pai4sk can be used. Sample programs execute
similar algorithm from scikit-learn also and compares the results.

# How to run the example
If cuml is not already installed, run `conda install cuml` in the
python3.x conda environment. Similarly if scikit-learn is not
already installed in the python 3.x conda environment, run
`conda install scikit-learn`. Then run the examples as below.

```
python $CONDA_PREFIX/pai4sk/local-examples/cuml-examples/example-pca/example-pca.py
```

Command line options like --nrows, --ncols, --n_neighbors, --nclusters, --skip_sklearn
are provided to these example programs wherever appropriate. Default values for all
these options exist.

--nrows and --ncols options represent the number of rows and number of columns
of random data to be generated. This generated random data will be used as
input data for the machine learning model training.

--nclusters option represent the number of clusters of random data to be generated.

--skip_sklearn option can be used to skip the scikit-learn part of the example.

&copy; Copyright IBM Corporation 2019
