# *****************************************************************
#
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2018. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# *****************************************************************
# Load the data
from pai4sk import sml_io
import argparse

defaultPath = "."
CLI=argparse.ArgumentParser()
CLI.add_argument(
   "--data_path",
   type=str,
   default=defaultPath
)

args = CLI.parse_args()

#Using SVM light load
X,y = sml_io.load_svmlight_file(args.data_path + "/data/criteo.kaggle2014.train.svm")

# Make the train-test split
from sklearn.model_selection import train_test_split
X_train, X_test, y_train, y_test = train_test_split(X, y, test_size=0.25, random_state=42)

# Save the sparse matrices
import scipy as sp
sp.sparse.save_npz(args.data_path + "/data/criteo.kaggle2014.X_train", X_train, compressed=False)
sp.sparse.save_npz(args.data_path + "/data/criteo.kaggle2014.X_test",  X_test,  compressed=False)

# Save the labels
import numpy as np
np.save(args.data_path + "/data/criteo.kaggle2014.y_train", y_train)
np.save(args.data_path + "/data/criteo.kaggle2014.y_test", y_test)


